IF NOT EXISTS(
    SELECT *
    FROM sys.columns 
    WHERE Name      = N'AutocreateSharepointSite'
      AND Object_ID = Object_ID(N'BA_SiteType'))
BEGIN
	ALTER TABLE BA_SiteType ADD [AutocreateSharepointSite] bit NOT NULL default(0)
	ALTER TABLE BA_SiteType ADD [AutocreateO365Group] bit  NOT NULL default(0)
	ALTER TABLE BA_SiteType ADD [O365GroupOwner] nvarchar(max)  NOT NULL default('')
	ALTER TABLE BA_SiteType ADD [O365GroupPublic] bit  NOT NULL default(0)
	ALTER TABLE BA_SiteType ADD [AutocreateNoticeboardChannel] bit NOT NULL default(0)
	ALTER TABLE BA_SiteType ADD [ContainerChannel] int  NOT NULL default(1)
END